image: node:14

stages:
  - test
  - deploy

before_script:
  - npm install
  - npm run lint

cache:
  paths:
    - node_modules/

test:
  stage: test
  script:
    - npm run coverage
  artifacts:
    paths:
      - coverage

pages:
  stage: deploy
  script:
    - npm run doc
    - mv ./docs ./public
  artifacts:
    paths:
      - public